# Function platformToAddressFormat

- platformToAddressFormat<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object]
  : {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object]
  : {
  Algorand: "algorandAppId";
  Aptos: "hex";
  Btc: "bech32";
  Cosmwasm: "bech32";
  Evm: "hex";
  Near: "sha256";
  Solana: "base58";
  Sui: "hex";
  }[Object]
  : never

  - Defined in core/base/dist/esm/constants/platforms.d.ts:174

Generated using TypeDoc